"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const classnames_1 = __importDefault(require("classnames"));
;
class NumberInput extends react_1.default.Component {
    constructor(props) {
        super(props);
        this.ref = react_1.default.createRef();
    }
    componentDidMount() {
        this.focusInput();
    }
    componentDidUpdate(prevProps) {
        this.focusInput();
    }
    focusInput() {
        if (this.props.isFocused) {
            this.ref.current.focus();
            this.props.clearFocus();
        }
    }
    render() {
        const { value, placeholder, inputIndex, isDisabled, hasSmallerInput, handleChange, handleFocus, handleKeyDown } = this.props;
        const smallerSize = hasSmallerInput && '2rem';
        return (react_1.default.createElement("input", { type: "tel", value: value, placeholder: placeholder, onChange: handleChange, onFocus: handleFocus, onKeyDown: handleKeyDown, className: classnames_1.default("codebox__input", {
                "codebox__input--valid": value !== ''
            }), "data-inputindex": inputIndex, ref: this.ref, disabled: isDisabled, style: {
                fontSize: smallerSize || 'revert',
                width: smallerSize || 'revert',
                height: smallerSize || 'revert',
            } }));
    }
}
exports.default = NumberInput;
